#ifndef __STDLIB_H
#define __STDLIB_H

#include <stddef.h>

char *ltoa(long N, char *str, int base);
void *malloc(size_t size);
void free(void *ptr);
void *calloc(size_t nmemb, size_t size);
void *realloc(void *ptr, size_t size);

void srand (unsigned int seed);
int rand (void);

#endif //__STDLIB_H
